svn_commit
svn_diff
SVN Functions
PHP Manual

# svn_delete

(PECL svn >= 0.4.0)

svn_delete — Delete items from a working copy or repository.

### Description

bool svn_delete ( string `$path` [, bool `$force` = false ] )

Deletes the file, directory or symbolic link at `path` from the working directory. The item will be deleted from the repository the next time you call svn_commit() on the working copy.

### Parameters

`path`

  Path of item to delete.

  > Note: Relative paths will be resolved as if the current working directory was the one that contains the PHP binary. To use the calling script's working directory, use realpath() or dirname(__FILE__).

`force`

  If `TRUE`, the file will be deleted even if it has local modifications. Otherwise, local modifications will result in a failure. Default is `FALSE`

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### See Also

- » SVN documentation on svn delete

svn_commit
svn_diff
SVN Functions
PHP Manual